This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1267223 - [Wayland] Can't login to Wayland session
[Wayland] Can't login to Wayland session
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 07:43 EDT by Martin Stransky
Modified: 2017-08-08 08:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:16:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Stransky 2015-09-29 07:43:09 EDT
Description of problem:

After latest update (gnome-shell-3.18.0) I can't login to Wayland session. Gnome-shell crashes:

[   11.024276] gnome-shell[1143]: segfault at 10 ip 00007feab0d68373 sp 00007ffd4a7a1bf0 error 4 in libmutter.so.0.0.0[7feab0cc6000+fc000]
[   13.062146] gnome-shell[1829]: segfault at 10 ip 00007fa770629373 sp 00007ffd6f23a5e0 error 4 in libmutter.so.0.0.0[7fa770587000+fc000]
[   30.221994] gnome-shell[2264]: segfault at 10 ip 00007f612ee63373 sp 00007fff47344890 error 4 in libmutter.so.0.0.0[7f612edc1000+fc000]

HW is Lenovo x230, Intel Graphics, Fedora 24 (Rawhide). I also created a brand new user but with the same result.
Comment 1 Owen Taylor 2015-09-29 08:24:22 EDT
Hmm, can't tell anything from that backtrace? Any messages in the logs? Do your logs show anything being reported by ABRT so we can correlate the crash with a more detailed report on retrace.fedoraproject.org?
Comment 2 Martin Stransky 2015-09-29 08:41:56 EDT
Backtrace from ABRT:

[New LWP 1712]
[New LWP 1714]
[New LWP 1715]
[New LWP 1716]
[New LWP 1717]
[New LWP 1730]
[New LWP 1731]
[New LWP 1732]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `gnome-shell --mode=gdm --wayland --display-server'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  async_get_property_finish (xcb_conn=xcb_conn@entry=0x55f9da40d4b0, cookie=..., results=results@entry=0x7ffc41d74f10) at x11/xprops.c:205
205	  results->n_items = reply->value_len;
[Current thread is 1 (Thread 0x7f6e13b46a80 (LWP 1712))]

Thread 8 (Thread 0x7f6de516a700 (LWP 1732)):
#0  0x00007f6e093624b3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55f9da482ce0, cond=0x55f9da52ac88) at pthread_cond_wait.c:455
        __ret = -512
        buffer = {__routine = 0x7f6e09362180 <__condvar_cleanup_waiting>, __arg = 0x7f6de5169af0, __canceltype = 113735196, __prev = 0x0}
        err = <optimized out>
        gen = <optimized out>
        ssent = 0
        cbuffer = {oldtype = 0, cond = 0x55f9da52ac88, mutex = 0x55f9da482ce0}
        spin = 0
        seq = 0
#1  __pthread_cond_wait (cond=0x55f9da52ac88, mutex=0x55f9da482ce0) at pthread_cond_wait.c:559
No locals.
#2  0x00007f6e06c70ad0 in PR_WaitCondVar (cvar=0x55f9da52ac80, timeout=4294967295) at ../../../nspr/pr/src/pthreads/ptsynch.c:385
        rv = <optimized out>
        thred = 0x55f9da493490
#3  0x00007f6e11ab3bfe in js::SourceCompressorThread::threadLoop (this=0x55f9da656d38) at /usr/src/debug/mozjs-24.2.0/js/src/jsscript.cpp:1094
No locals.
#4  js::SourceCompressorThread::compressorThread (arg=0x55f9da656d38) at /usr/src/debug/mozjs-24.2.0/js/src/jsscript.cpp:965
No locals.
#5  0x00007f6e06c7639b in _pt_root (arg=0x55f9da493490) at ../../../nspr/pr/src/pthreads/ptthread.c:212
        rv = <optimized out>
        thred = 0x55f9da493490
        detached = 0
        id = 140109971629824
        tid = 1732
#6  0x00007f6e0935c6ca in start_thread (arg=0x7f6de516a700) at pthread_create.c:334
        __res = <optimized out>
        pd = 0x7f6de516a700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140109971629824, 1801008871114827989, 0, 140721413116111, 140109971630528, 1, -1862886970814863147, -1863810278366746411}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x00007f6e0909179d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109
No locals.

Thread 7 (Thread 0x7f6de596b700 (LWP 1731)):
#0  0x00007f6e093624b3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55f9da577630, cond=0x55f9da551578) at pthread_cond_wait.c:455
        __ret = -512
        buffer = {__routine = 0x7f6e09362180 <__condvar_cleanup_waiting>, __arg = 0x7f6de596aad0, __canceltype = -631958152, __prev = 0x0}
        err = <optimized out>
        gen = <optimized out>
        ssent = 0
        cbuffer = {oldtype = 0, cond = 0x55f9da551578, mutex = 0x55f9da577630}
        spin = 0
        seq = 0
#1  __pthread_cond_wait (cond=0x55f9da551578, mutex=0x55f9da577630) at pthread_cond_wait.c:559
No locals.
#2  0x00007f6e06c70ad0 in PR_WaitCondVar (cvar=0x55f9da551570, timeout=4294967295) at ../../../nspr/pr/src/pthreads/ptsynch.c:385
        rv = <optimized out>
        thred = 0x55f9da495000
#3  0x00007f6e11a3e636 in js::GCHelperThread::threadLoop (this=0x55f9da656c58) at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:2266
        lock = {runtime = 0x55f9da655ee0}
#4  0x00007f6e06c7639b in _pt_root (arg=0x55f9da495000) at ../../../nspr/pr/src/pthreads/ptthread.c:212
        rv = <optimized out>
        thred = 0x55f9da495000
        detached = 0
        id = 140109980022528
        tid = 1731
#5  0x00007f6e0935c6ca in start_thread (arg=0x7f6de596b700) at pthread_create.c:334
        __res = <optimized out>
        pd = 0x7f6de596b700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140109980022528, 1801008871114827989, 0, 140721413116079, 140109980023232, 1, -1862885869692622635, -1863810278366746411}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#6  0x00007f6e0909179d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109
No locals.

Thread 6 (Thread 0x7f6de616c700 (LWP 1730)):
#0  0x00007f6e09085c5d in poll () at ../sysdeps/unix/syscall-template.S:84
No locals.
#1  0x00007f6e12a4e821 in ?? ()
No symbol table info available.
#2  0x00007f6de616c9c0 in ?? ()
No symbol table info available.
#3  0x000055f9da563130 in ?? ()
No symbol table info available.
#4  0x000055f9da563130 in ?? ()
No symbol table info available.
#5  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 5 (Thread 0x7f6de71e8700 (LWP 1717)):
#0  0x00007f6e09085c5d in poll () at ../sysdeps/unix/syscall-template.S:84
No locals.
#1  0x00007f6e0ab9216c in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f6de00010c0, timeout=<optimized out>, context=0x55f9da2af110) at gmain.c:4135
        poll_func = 0x7f6e0aba1060 <g_poll>
#2  g_main_context_iterate (context=context@entry=0x55f9da2af110, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = 1
        fds = 0x7f6de00010c0
#3  0x00007f6e0ab9227c in g_main_context_iteration (context=context@entry=0x55f9da2af110, may_block=may_block@entry=1) at gmain.c:3901
        retval = <optimized out>
#4  0x00007f6de71f02ad in dconf_gdbus_worker_thread (user_data=0x55f9da2af110) at dconf-gdbus-thread.c:82
        context = 0x55f9da2af110
#5  0x00007f6e0abb8865 in g_thread_proxy (data=0x55f9da0a06d0) at gthread.c:778
        thread = <optimized out>
#6  0x00007f6e0935c6ca in start_thread (arg=0x7f6de71e8700) at pthread_create.c:334
        __res = <optimized out>
        pd = 0x7f6de71e8700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140110005700352, 1801008871114827989, 0, 140721413115887, 140110005701056, 94531595464976, -1862882509417584427, -1863810278366746411}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x00007f6e0909179d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109
No locals.

Thread 4 (Thread 0x7f6df4ddb700 (LWP 1716)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
No locals.
#1  0x00007f6e0abd69ca in g_cond_wait_until (cond=cond@entry=0x55f9da0b9598, mutex=mutex@entry=0x55f9da0b9590, end_time=end_time@entry=29077050) at gthread-posix.c:1444
        now = {tv_sec = 14, tv_nsec = 77051712}
        span = {tv_sec = 14, tv_nsec = 999998288}
        sampled = 0
        res = <optimized out>
#2  0x00007f6e0ab66c09 in g_async_queue_pop_intern_unlocked (queue=queue@entry=0x55f9da0b9590, wait=wait@entry=1, end_time=end_time@entry=29077050) at gasyncqueue.c:422
        retval = <optimized out>
        __func__ = "g_async_queue_pop_intern_unlocked"
#3  0x00007f6e0ab6722b in g_async_queue_timeout_pop (queue=0x55f9da0b9590, timeout=timeout@entry=15000000) at gasyncqueue.c:543
        end_time = 29077050
        retval = <optimized out>
#4  0x00007f6e0abb92ba in g_thread_pool_wait_for_new_pool () at gthreadpool.c:167
        pool = <optimized out>
        local_wakeup_thread_serial = <optimized out>
        last_wakeup_thread_serial = <optimized out>
        have_relayed_thread_marker = <optimized out>
#5  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:364
        free_pool = <optimized out>
        task = 0x2
        pool = <optimized out>
#6  0x00007f6e0abb8865 in g_thread_proxy (data=0x55f9da0a0370) at gthread.c:778
        thread = <optimized out>
#7  0x00007f6e0935c6ca in start_thread (arg=0x7f6df4ddb700) at pthread_create.c:334
        __res = <optimized out>
        pd = 0x7f6df4ddb700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140110236333824, 1801008871114827989, 0, 140721413116959, 140110236334528, 94531593409760, -1862922626022741803, -1863810278366746411}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#8  0x00007f6e0909179d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109
No locals.

Thread 3 (Thread 0x7f6df55dc700 (LWP 1715)):
#0  0x00007f6e09085c5d in poll () at ../sysdeps/unix/syscall-template.S:84
No locals.
#1  0x00007f6e0ab9216c in g_main_context_poll (priority=2147483647, n_fds=3, fds=0x7f6de80010c0, timeout=<optimized out>, context=0x55f9da0b9ba0) at gmain.c:4135
        poll_func = 0x7f6e0aba1060 <g_poll>
#2  g_main_context_iterate (context=0x55f9da0b9ba0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 3
        allocated_nfds = 3
        fds = 0x7f6de80010c0
#3  0x00007f6e0ab924f2 in g_main_loop_run (loop=0x55f9da0b9b30) at gmain.c:4034
        __func__ = "g_main_loop_run"
#4  0x00007f6e0c03a396 in gdbus_shared_thread_func (user_data=0x55f9da0b9b70) at gdbusprivate.c:246
        data = 0x55f9da0b9b70
#5  0x00007f6e0abb8865 in g_thread_proxy (data=0x55f9da0a00a0) at gthread.c:778
        thread = <optimized out>
#6  0x00007f6e0935c6ca in start_thread (arg=0x7f6df55dc700) at pthread_create.c:334
        __res = <optimized out>
        pd = 0x7f6df55dc700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140110244726528, 1801008871114827989, 0, 140721413116319, 140110244727232, 94531593411440, -1862921527047984939, -1863810278366746411}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x00007f6e0909179d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109
No locals.

Thread 2 (Thread 0x7f6df5ddd700 (LWP 1714)):
#0  0x00007f6e09085c5d in poll () at ../sysdeps/unix/syscall-template.S:84
No locals.
#1  0x00007f6e0ab9216c in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f6df00008e0, timeout=<optimized out>, context=0x55f9da09fd50) at gmain.c:4135
        poll_func = 0x7f6e0aba1060 <g_poll>
#2  g_main_context_iterate (context=context@entry=0x55f9da09fd50, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = 1
        fds = 0x7f6df00008e0
#3  0x00007f6e0ab9227c in g_main_context_iteration (context=0x55f9da09fd50, may_block=may_block@entry=1) at gmain.c:3901
        retval = <optimized out>
#4  0x00007f6e0ab922b9 in glib_worker_main (data=<optimized out>) at gmain.c:5672
No locals.
#5  0x00007f6e0abb8865 in g_thread_proxy (data=0x55f9da0a0000) at gthread.c:778
        thread = <optimized out>
#6  0x00007f6e0935c6ca in start_thread (arg=0x7f6df5ddd700) at pthread_create.c:334
        __res = <optimized out>
        pd = 0x7f6df5ddd700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140110253119232, 1801008871114827989, 0, 140721413117407, 140110253119936, 0, -1862920430220711723, -1863810278366746411}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x00007f6e0909179d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109
No locals.

Thread 1 (Thread 0x7f6e13b46a80 (LWP 1712)):
#0  async_get_property_finish (xcb_conn=xcb_conn@entry=0x55f9da40d4b0, cookie=..., results=results@entry=0x7ffc41d74f10) at x11/xprops.c:205
        reply = <optimized out>
        error = 0x0
#1  0x00007f6e0e7d1466 in get_property (display=0x55f9da5417e0, xwindow=608, xatom=363, req_type=req_type@entry=6, results=results@entry=0x7ffc41d74f10) at x11/xprops.c:239
        xcb_conn = 0x55f9da40d4b0
#2  0x00007f6e0e7d1939 in meta_prop_get_cardinal_list (display=<optimized out>, xwindow=<optimized out>, xatom=<optimized out>, cardinals_p=cardinals_p@entry=0x7ffc41d74f90, n_cardinals_p=n_cardinals_p@entry=0x7ffc41d74f8c) at x11/xprops.c:284
        results = {display = 0x55f9da5417e0, xwindow = 608, xatom = 363, type = 0, format = 0, n_items = 0, bytes_after = 0, prop = 0x0}
#3  0x00007f6e0e7ac372 in meta_screen_update_workspace_layout (screen=0x55f9da217240) at core/screen.c:1813
        list = 0x0
        n_items = 0
        screen = 0x55f9da217240
#4  0x00007f6e0e7ad161 in meta_screen_new (display=display@entry=0x55f9da5417e0, number=<optimized out>, timestamp=timestamp@entry=13739) at core/screen.c:713
        screen = 0x55f9da217240
        xroot = 608
        xdisplay = <optimized out>
        new_wm_sn_owner = 2097159
        replace_current_wm = <optimized out>
        wm_sn_atom = 392
        buf = "WM_S0\000\000\000\355\306z\016n\177", '\000' <repeats 35 times>, "\n\000\000\000\000\000\000\240R\327A\374\177\000\000\a\000\000\000\000\000\000\000\360QE\332\371U\000\000\340{a\tn\177\000\000\336M[\tn\177\000\000\360hH\332\371U\000\000\360j[\tn\177\000\000`\302@\332\371U\000\000g2[\tn\177\000"
        manager = 0x55f9da2d3080
#5  0x00007f6e0e79dc3b in meta_display_open () at core/display.c:907
        display = 0x55f9da5417e0
        xdisplay = <optimized out>
        screen = <optimized out>
        i = <optimized out>
        timestamp = 13739
        atom_names = {0x7f6e0e7f4a48 "WM_PROTOCOLS", 0x7f6e0e7f4a55 "WM_TAKE_FOCUS", 0x7f6e0e7f4a63 "WM_DELETE_WINDOW", 0x7f6e0e7f4d46 "WM_STATE", 0x7f6e0e7f4a74 "_MOTIF_WM_HINTS", 0x7f6e0e7f4a84 "WM_CHANGE_STATE", 0x7f6e0e7f4a94 "SM_CLIENT_ID", 0x7f6e0e7f4aa1 "WM_CLIENT_LEADER", 0x7f6e0e7f4ab2 "WM_WINDOW_ROLE", 0x7f6e0e7f4ac1 "UTF8_STRING", 0x7f6e0e7f4acd "WM_ICON_SIZE", 0x7f6e0e7f4ada "_KWM_WIN_ICON", 0x7f6e0e7f4ae8 "_MUTTER_HINTS", 0x7f6e0e7f4af6 "_GTK_THEME_VARIANT", 0x7f6e0e7f5cc8 "_GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED", 0x7f6e0e7f4b09 "_GTK_APPLICATION_ID", 0x7f6e0e7f4b1d "_GTK_UNIQUE_BUS_NAME", 0x7f6e0e7f4b32 "_GTK_APPLICATION_OBJECT_PATH", 0x7f6e0e7f4b4f "_GTK_WINDOW_OBJECT_PATH", 0x7f6e0e7f4b67 "_GTK_APP_MENU_OBJECT_PATH", 0x7f6e0e7f4b81 "_GTK_MENUBAR_OBJECT_PATH", 0x7f6e0e7f4b9a "_GTK_FRAME_EXTENTS", 0x7f6e0e7f4bad "_GTK_SHOW_WINDOW_MENU", 0x7f6e0e7f4bc3 "_GNOME_WM_KEYBINDINGS", 0x7f6e0e7f4bd9 "_GNOME_PANEL_ACTION", 0x7f6e0e7f4bed "_GNOME_PANEL_ACTION_MAIN_MENU", 0x7f6e0e7f5cf0 "_GNOME_PANEL_ACTION_RUN_DIALOG", 0x7f6e0e7f4c0b "_MUTTER_TIMESTAMP_PING", 0x7f6e0e7f4c22 "_MUTTER_FOCUS_SET", 0x7f6e0e7f4c34 "_MUTTER_SENTINEL", 0x7f6e0e7f4c45 "_MUTTER_VERSION", 0x7f6e0e7f4c55 "WM_CLIENT_MACHINE", 0x7f6e0e7f4c67 "MANAGER", 0x7f6e0e7f4c6f "TARGETS", 0x7f6e0e7f4c77 "MULTIPLE", 0x7f6e0e7f4c80 "TIMESTAMP", 0x7f6e0e7f4c4d "VERSION", 0x7f6e0e7f4c8a "ATOM_PAIR", 0x7f6e0e7f4c94 "_XKB_RULES_NAMES", 0x7f6e0e7f4ca5 "WL_SURFACE_ID", 0x7f6e0e7f4cb3 "_NET_WM_SYNC_REQUEST", 0x7f6e0e7f4cc8 "_NET_WM_SYNC_REQUEST_COUNTER", 0x7f6e0e7f4ce5 "_NET_WM_VISIBLE_NAME", 0x7f6e0e7f4cfa "_NET_SUPPORTING_WM_CHECK", 0x7f6e0e7f4d13 "_NET_SUPPORTED", 0x7f6e0e7f4d22 "_NET_WM_NAME", 0x7f6e0e7f4d2f "_NET_CLOSE_WINDOW", 0x7f6e0e7f4d41 "_NET_WM_STATE", 0x7f6e0e7f4d4f "_NET_WM_STATE_SHADED", 0x7f6e0e7f4d64 "_NET_WM_STATE_MAXIMIZED_HORZ", 0x7f6e0e7f4d81 "_NET_WM_STATE_MAXIMIZED_VERT", 0x7f6e0e7f4d9e "_NET_WM_DESKTOP", 0x7f6e0e7f4dae "_NET_NUMBER_OF_DESKTOPS", 0x7f6e0e7f4dc6 "_NET_CURRENT_DESKTOP", 0x7f6e0e7f4ddb "_NET_WM_WINDOW_TYPE", 0x7f6e0e7f4def "_NET_WM_WINDOW_TYPE_DESKTOP", 0x7f6e0e7f4e0b "_NET_WM_WINDOW_TYPE_DOCK", 0x7f6e0e7f4e24 "_NET_WM_WINDOW_TYPE_TOOLBAR", 0x7f6e0e7f4e40 "_NET_WM_WINDOW_TYPE_MENU", 0x7f6e0e7f4e59 "_NET_WM_WINDOW_TYPE_UTILITY", 0x7f6e0e7f4e75 "_NET_WM_WINDOW_TYPE_SPLASH", 0x7f6e0e7f4e90 "_NET_WM_WINDOW_TYPE_DIALOG", 0x7f6e0e7f5d10 "_NET_WM_WINDOW_TYPE_DROPDOWN_MENU", 0x7f6e0e7f5d38 "_NET_WM_WINDOW_TYPE_POPUP_MENU", 0x7f6e0e7f4eab "_NET_WM_WINDOW_TYPE_TOOLTIP", 0x7f6e0e7f5d58 "_NET_WM_WINDOW_TYPE_NOTIFICATION", 0x7f6e0e7f4ec7 "_NET_WM_WINDOW_TYPE_COMBO", 0x7f6e0e7f4ee1 "_NET_WM_WINDOW_TYPE_DND", 0x7f6e0e7f4ef9 "_NET_WM_WINDOW_TYPE_NORMAL", 0x7f6e0e7f4f14 "_NET_WM_STATE_MODAL", 0x7f6e0e7f4f28 "_NET_CLIENT_LIST", 0x7f6e0e7f4f39 "_NET_CLIENT_LIST_STACKING", 0x7f6e0e7f4f53 "_NET_WM_STATE_SKIP_TASKBAR", 0x7f6e0e7f4f6e "_NET_WM_STATE_SKIP_PAGER", 0x7f6e0e7f4f87 "_NET_WM_ICON", 0x7f6e0e7f4f94 "_NET_WM_ICON_GEOMETRY", 0x7f6e0e7f4faa "_NET_WM_MOVERESIZE", 0x7f6e0e7f4fbd "_NET_ACTIVE_WINDOW", 0x7f6e0e7f4fd0 "_NET_WM_STRUT", 0x7f6e0e7f4fde "_NET_WM_STATE_HIDDEN", 0x7f6e0e7f4ff3 "_NET_WM_STATE_FULLSCREEN", 0x7f6e0e7f500c "_NET_WM_PING", 0x7f6e0e7f5019 "_NET_WM_PID", 0x7f6e0e7f5025 "_NET_WORKAREA", 0x7f6e0e7f5033 "_NET_SHOWING_DESKTOP", 0x7f6e0e7f5048 "_NET_DESKTOP_LAYOUT", 0x7f6e0e7f505c "_NET_DESKTOP_NAMES", 0x7f6e0e7f506f "_NET_WM_ALLOWED_ACTIONS", 0x7f6e0e7f5087 "_NET_WM_ACTION_MOVE", 0x7f6e0e7f509b "_NET_WM_ACTION_RESIZE", 0x7f6e0e7f50b1 "_NET_WM_ACTION_SHADE", 0x7f6e0e7f50c6 "_NET_WM_ACTION_STICK", 0x7f6e0e7f50db "_NET_WM_ACTION_MAXIMIZE_HORZ", 0x7f6e0e7f50f8 "_NET_WM_ACTION_MAXIMIZE_VERT", 0x7f6e0e7f5115 "_NET_WM_ACTION_CHANGE_DESKTOP", 0x7f6e0e7f5133 "_NET_WM_ACTION_CLOSE", 0x7f6e0e7f5148 "_NET_WM_STATE_ABOVE", 0x7f6e0e7f515c "_NET_WM_STATE_BELOW", 0x7f6e0e7f5170 "_NET_STARTUP_ID", 0x7f6e0e7f5180 "_NET_WM_STRUT_PARTIAL", 0x7f6e0e7f5196 "_NET_WM_ACTION_FULLSCREEN", 0x7f6e0e7f51b0 "_NET_WM_ACTION_MINIMIZE", 0x7f6e0e7f51c8 "_NET_FRAME_EXTENTS", 0x7f6e0e7f51db "_NET_REQUEST_FRAME_EXTENTS", 0x7f6e0e7f51f6 "_NET_WM_USER_TIME", 0x7f6e0e7f5d80 "_NET_WM_STATE_DEMANDS_ATTENTION", 0x7f6e0e7f5208 "_NET_MOVERESIZE_WINDOW", 0x7f6e0e7f521f "_NET_DESKTOP_GEOMETRY", 0x7f6e0e7f5235 "_NET_DESKTOP_VIEWPORT", 0x7f6e0e7f524b "_NET_WM_USER_TIME_WINDOW", 0x7f6e0e7f5264 "_NET_WM_ACTION_ABOVE", 0x7f6e0e7f5279 "_NET_WM_ACTION_BELOW", 0x7f6e0e7f528e "_NET_WM_STATE_STICKY", 0x7f6e0e7f52a3 "_NET_WM_FULLSCREEN_MONITORS", 0x7f6e0e7f52bf "_NET_WM_STATE_FOCUSED", 0x7f6e0e7f52d5 "_NET_WM_BYPASS_COMPOSITOR", 0x7f6e0e7f52ef "_NET_WM_OPAQUE_REGION", 0x7f6e0e7f5305 "_NET_WM_FRAME_DRAWN", 0x7f6e0e7f5319 "_NET_WM_FRAME_TIMINGS", 0x7f6e0e7f532f "_NET_WM_WINDOW_OPACITY"}
        atoms = {243, 244, 241, 314, 315, 316, 317, 240, 245, 239, 38, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 329, 330, 331, 332, 333, 334, 335, 336, 337, 36, 338, 339, 340, 341, 342, 343, 238, 344, 268, 269, 345, 346, 347, 254, 348, 257, 349, 264, 263, 251, 350, 247, 270, 351, 352, 353, 275, 279, 354, 272, 274, 277, 278, 355, 271, 273, 276, 262, 356, 357, 265, 266, 252, 358, 359, 246, 360, 261, 260, 256, 255, 361, 362, 363, 364, 365, 366, 367, 368, 369, 370, 371, 372, 373, 258, 259, 249, 374, 375, 376, 248, 377, 280, 378, 379, 380, 381, 281, 382, 383, 267, 384, 284, 385, 386, 387, 388, 389}
        __func__ = "meta_display_open"
#6  0x00007f6e0e7a699c in meta_run () at core/main.c:434
No locals.
#7  0x000055f9d930571f in main (argc=1, argv=0x7ffc41d75d08) at main.c:463
        ctx = <optimized out>
        error = 0x0
        ecode = <optimized out>
        sender = 0x55f9da0cce70
From                To                  Syms Read   Shared Object Library
                                        No          linux-vdso.so.1
0x00007f6e135e6c00  0x00007f6e136348b0  Yes         /usr/lib64/gnome-shell/libgnome-shell.so
0x00007f6e133b2370  0x00007f6e133b6383  Yes         /usr/lib64/gnome-shell/libgnome-shell-menu.so
0x00007f6e130b15c0  0x00007f6e1311d0da  Yes         /lib64/libm.so.6
0x00007f6e12e79cd0  0x00007f6e12e97bd5  Yes         /lib64/libcroco-0.6.so.3
                                        No          /lib64/libpulse-mainloop-glib.so.0
                                        No          /lib64/libpulse.so.0
0x00007f6e12818ba0  0x00007f6e12818e0e  Yes         /usr/lib64/gnome-shell/libgnome-shell-js.so
0x00007f6e124e04e0  0x00007f6e125c2850  Yes         /lib64/libxml2.so.2
0x00007f6e1228d520  0x00007f6e122a14e9  Yes         /lib64/libatk-bridge-2.0.so.0
0x00007f6e1200cf00  0x00007f6e1203bb59  Yes         /lib64/libgjs.so.0
0x00007f6e118b6fe0  0x00007f6e11caf113  Yes         /lib64/libmozjs-24.so
0x00007f6e115dff90  0x00007f6e1161a59e  Yes         /lib64/libgstbase-1.0.so.0
0x00007f6e112dd390  0x00007f6e11375099  Yes         /lib64/libgstreamer-1.0.so.0
0x00007f6e1101acc0  0x00007f6e110611df  Yes         /lib64/libsoup-2.4.so.1
0x00007f6e10dd21f0  0x00007f6e10dd55ae  Yes         /lib64/libstartup-notification-1.so.0
0x00007f6e10ba25a0  0x00007f6e10bc040c  Yes         /lib64/libgirepository-1.0.so.1
0x00007f6e10996da0  0x00007f6e1099836e  Yes         /lib64/libcanberra-gtk3.so.0
0x00007f6e107863d0  0x00007f6e1078f96a  Yes         /lib64/libcanberra.so.0
0x00007f6e103a93b0  0x00007f6e104bf646  Yes         /lib64/libtelepathy-glib.so.0
0x00007f6e10148fd0  0x00007f6e1014bcfe  Yes         /lib64/libpolkit-agent-1.so.0
0x00007f6e0ff2fa40  0x00007f6e0ff3b122  Yes         /lib64/libpolkit-gobject-1.so.0
0x00007f6e0fcb0130  0x00007f6e0fcf64c1  Yes         /lib64/libgcr-base-3.so.1
0x00007f6e0fa5e8c0  0x00007f6e0fa7c187  Yes         /lib64/libgck-1.so.0
0x00007f6e0f7ff840  0x00007f6e0f82e0af  Yes         /lib64/libp11-kit.so.0
0x00007f6e13bb4ab0  0x00007f6e13c0b96f  Yes (*)     /lib64/libsystemd.so.0
0x00007f6e0f5c7e50  0x00007f6e0f5e138f  Yes         /lib64/libnm-gtk.so.0
0x00007f6e0f381f90  0x00007f6e0f3a428a  Yes         /lib64/libnm-glib.so.4
0x00007f6e0f11c0d0  0x00007f6e0f14ffcf  Yes         /lib64/libnm-util.so.2
0x00007f6e0eee4600  0x00007f6e0eef80d1  Yes         /lib64/libdbus-glib-1.so.2
0x00007f6e0ec97db0  0x00007f6e0ecc2b44  Yes         /lib64/libdbus-1.so.3
0x00007f6e0ea46600  0x00007f6e0ea70ab6  Yes         /lib64/libsecret-1.so.0
0x00007f6e0e772c70  0x00007f6e0e7ef7b2  Yes         /lib64/libmutter.so.0
                                        No          /lib64/libgtk-3.so.0
0x00007f6e0da8e260  0x00007f6e0db4a45d  Yes         /lib64/libclutter-1.0.so.0
0x00007f6e0d844b70  0x00007f6e0d84f2d2  Yes         /lib64/libcogl-path.so.20
0x00007f6e0d6271f0  0x00007f6e0d633643  Yes         /lib64/libatk-1.0.so.0
0x00007f6e0d415c00  0x00007f6e0d41855a  Yes         /lib64/libcogl-pango.so.20
0x00007f6e0d1752a0  0x00007f6e0d1d71aa  Yes         /lib64/libcogl.so.20
0x00007f6e0cf54190  0x00007f6e0cf55095  Yes         /lib64/libgmodule-2.0.so.0
0x00007f6e0cd51710  0x00007f6e0cd518e6  Yes         /lib64/libwayland-egl.so.1
0x00007f6e0cb45850  0x00007f6e0cb4adb5  Yes         /lib64/libgbm.so.1
0x00007f6e0c937890  0x00007f6e0c93e9f0  Yes         /lib64/libdrm.so.2
0x00007f6e0c711790  0x00007f6e0c726d39  Yes         /lib64/libEGL.so.1
0x00007f6e0c501d30  0x00007f6e0c507b52  Yes         /lib64/libXrandr.so.2
0x00007f6e0c2e2af0  0x00007f6e0c2f4f8d  Yes         /lib64/libjson-glib-1.0.so.0
0x00007f6e0bf8efa0  0x00007f6e0c05e6eb  Yes         /lib64/libgio-2.0.so.0
                                        No          /lib64/libgdk-3.so.0
0x00007f6e0ba7a950  0x00007f6e0ba7f716  Yes         /lib64/libpangocairo-1.0.so.0
0x00007f6e0b837880  0x00007f6e0b856c06  Yes         /lib64/libpango-1.0.so.0
0x00007f6e0b60c120  0x00007f6e0b620519  Yes         /lib64/libgdk_pixbuf-2.0.so.0
0x00007f6e0b3ff560  0x00007f6e0b4004f9  Yes         /lib64/libcairo-gobject.so.2
0x00007f6e0b0e69f0  0x00007f6e0b1b5d77  Yes         /lib64/libcairo.so.2
0x00007f6e0ae8b720  0x00007f6e0aebc196  Yes         /lib64/libgobject-2.0.so.0
0x00007f6e0ab62870  0x00007f6e0abfe979  Yes         /lib64/libglib-2.0.so.0
                                        No          /lib64/libwayland-cursor.so.0
                                        No          /lib64/libwayland-client.so.0
0x00007f6e0a4f63a0  0x00007f6e0a510ee5  Yes         /lib64/libxkbcommon.so.0
                                        No          /lib64/libwayland-server.so.0
0x00007f6e0a0d1770  0x00007f6e0a0db5ff  Yes         /lib64/libXext.so.6
0x00007f6e09ecbc40  0x00007f6e09ecc56b  Yes         /lib64/libXdamage.so.1
0x00007f6e09cc65f0  0x00007f6e09cc8906  Yes         /lib64/libXfixes.so.3
0x00007f6e09ac2cd0  0x00007f6e09ac36f5  Yes         /lib64/libXcomposite.so.1
0x00007f6e098b4230  0x00007f6e098be7e7  Yes         /lib64/libXi.so.6
0x00007f6e0958ffe0  0x00007f6e09617a04  Yes         /lib64/libX11.so.6
0x00007f6e0935aa20  0x00007f6e09367a31  Yes         /lib64/libpthread.so.0
0x00007f6e08fa96f0  0x00007f6e090fc784  Yes         /lib64/libc.so.6
0x00007f6e13a3eb10  0x00007f6e13a5bd30  Yes         /lib64/ld-linux-x86-64.so.2
                                        No          /usr/lib64/pulseaudio/libpulsecommon-6.99.so
0x00007f6e08b06670  0x00007f6e08b07fe6  Yes         /lib64/libcap.so.2
0x00007f6e088ff150  0x00007f6e0890222f  Yes         /lib64/librt.so.1
0x00007f6e086f9e60  0x00007f6e086faa4e  Yes         /lib64/libdl.so.2
0x00007f6e084f0880  0x00007f6e084f5913  Yes         /lib64/libjson-c.so.2
0x00007f6e081f5fa0  0x00007f6e082a1ad9  Yes         /lib64/libstdc++.so.6
0x00007f6e07f57af0  0x00007f6e07f67845  Yes         /lib64/libgcc_s.so.1
0x00007f6e07d41200  0x00007f6e07d4d5b9  Yes         /lib64/libz.so.1
0x00007f6e07b1c030  0x00007f6e07b32942  Yes         /lib64/liblzma.so.5
0x00007f6e078f78c0  0x00007f6e07908fb8  Yes         /lib64/libatspi.so.0
0x00007f6e076b4df0  0x00007f6e076d5b45  Yes         /lib64/libreadline.so.6
0x00007f6e07498870  0x00007f6e0749cf8c  Yes         /lib64/libffi.so.6
0x00007f6e072956b0  0x00007f6e0729582a  Yes         /lib64/libgthread-2.0.so.0
0x00007f6e07092090  0x00007f6e07092f68  Yes         /lib64/libplds4.so
0x00007f6e06e8d510  0x00007f6e06e8eb56  Yes         /lib64/libplc4.so
0x00007f6e06c59cd0  0x00007f6e06c7a44f  Yes         /lib64/libnspr4.so
0x00007f6e0698a8c0  0x00007f6e06a25b8f  Yes         /lib64/libsqlite3.so.0
0x00007f6e0677b5b0  0x00007f6e0677c35c  Yes         /lib64/libxcb-util.so.1
0x00007f6e06577600  0x00007f6e0657771b  Yes         /lib64/libX11-xcb.so.1
0x00007f6e0635ecc0  0x00007f6e0636d605  Yes         /lib64/libxcb.so.1
0x00007f6e0614e110  0x00007f6e0615231c  Yes         /lib64/libvorbisfile.so.3
0x00007f6e05f39000  0x00007f6e05f444a3  Yes         /lib64/libtdb.so.1
0x00007f6e05d2e490  0x00007f6e05d327a2  Yes         /lib64/libltdl.so.7
0x00007f6e05b05e00  0x00007f6e05b1e089  Yes         /lib64/libexpat.so.1
0x00007f6e05825900  0x00007f6e058c9a48  Yes         /lib64/libgcrypt.so.20
0x00007f6e0560c740  0x00007f6e056151f9  Yes         /lib64/libgpg-error.so.0
0x00007f6e053ed240  0x00007f6e053ffa9b  Yes         /lib64/libselinux.so.1
0x00007f6e051cf9d0  0x00007f6e051df311  Yes         /lib64/libresolv.so.2
0x00007f6e04f8c6a0  0x00007f6e04fbca96  Yes         /lib64/libdw.so.1
0x00007f6e04d7ba10  0x00007f6e04d7eae2  Yes         /lib64/libgudev-1.0.so.0
0x00007f6e04b70240  0x00007f6e04b73282  Yes         /lib64/libnm-glib-vpn.so.1
0x00007f6e049695f0  0x00007f6e0496ac41  Yes         /lib64/libuuid.so.1
0x00007f6e047313d0  0x00007f6e04755b0f  Yes         /lib64/libssl3.so
0x00007f6e045082b0  0x00007f6e0451c5b7  Yes         /lib64/libsmime3.so
0x00007f6e041f1510  0x00007f6e042c2a94  Yes         /lib64/libnss3.so
0x00007f6e03fb7e30  0x00007f6e03fc6691  Yes         /lib64/libnssutil3.so
0x00007f6e03d91300  0x00007f6e03da0ad6  Yes         /lib64/libupower-glib.so.3
0x00007f6e03b5b4f0  0x00007f6e03b75640  Yes         /lib64/libgnome-desktop-3.so.12
0x00007f6e03942ab0  0x00007f6e03947687  Yes         /lib64/libXcursor.so.1
0x00007f6e0371ed90  0x00007f6e037375e8  Yes         /lib64/libxkbfile.so.1
0x00007f6e03514880  0x00007f6e035172fd  Yes         /lib64/libxkbcommon-x11.so.0
0x00007f6e03308b70  0x00007f6e0330eb35  Yes         /lib64/libXrender.so.1
0x00007f6e030febd0  0x00007f6e03102a21  Yes         /lib64/libxcb-randr.so.0
0x00007f6e02ef2610  0x00007f6e02ef5a8a  Yes         /lib64/libxcb-render.so.0
0x00007f6e02ce7c20  0x00007f6e02cebde1  Yes         /lib64/libSM.so.6
0x00007f6e02acefa0  0x00007f6e02adcafa  Yes         /lib64/libICE.so.6
0x00007f6e028c7bb0  0x00007f6e028c8514  Yes         /lib64/libXinerama.so.1
0x00007f6e026aaa20  0x00007f6e026bc65c  Yes         /lib64/libinput.so.10
0x00007f6e02403a30  0x00007f6e02445ac6  Yes         /lib64/libepoxy.so.0
0x00007f6e021992c0  0x00007f6e021a17ed  Yes         /lib64/libpangoft2-1.0.so.0
0x00007f6e01f54de0  0x00007f6e01f740aa  Yes         /lib64/libfontconfig.so.1
0x00007f6e01cb2c30  0x00007f6e01d215e2  Yes         /lib64/libfreetype.so.6
0x00007f6e13b68ad0  0x00007f6e13b7a675  Yes (*)     /lib64/libudev.so.1
0x00007f6e01aa0930  0x00007f6e01aa1a55  Yes         /lib64/libxcb-dri2.so.0
0x00007f6e01899830  0x00007f6e0189bc05  Yes         /lib64/libxcb-xfixes.so.0
0x00007f6e01694020  0x00007f6e01694bc5  Yes         /lib64/libxcb-shape.so.0
0x00007f6e0148bdb0  0x00007f6e0148f5b5  Yes         /lib64/libthai.so.0
0x00007f6e01230400  0x00007f6e0126c599  Yes         /lib64/libharfbuzz.so.0
0x00007f6e00ffc4c0  0x00007f6e0101d39f  Yes         /lib64/libpng16.so.16
0x00007f6e00d596a0  0x00007f6e00dde02d  Yes         /lib64/libpixman-1.so.0
0x00007f6e00b4bdf0  0x00007f6e00b4c903  Yes         /lib64/libxcb-shm.so.0
0x00007f6e008cafa0  0x00007f6e00927cd2  Yes         /lib64/libGL.so.1
0x00007f6e006ae4c0  0x00007f6e006b0d9e  Yes         /lib64/libXtst.so.6
0x00007f6e004a54a0  0x00007f6e004a90e4  Yes         /lib64/libwrap.so.0
0x00007f6e002482e0  0x00007f6e0028185c  Yes         /lib64/libsndfile.so.1
0x00007f6e0003d380  0x00007f6e0003f9e8  Yes         /lib64/libasyncns.so.0
0x00007f6dffe373d0  0x00007f6dffe394ca  Yes         /lib64/libattr.so.1
0x00007f6dffc17f30  0x00007f6dffc24ba8  Yes         /lib64/libtinfo.so.6
0x00007f6dffa06ec0  0x00007f6dffa07bf9  Yes         /lib64/libXau.so.6
0x00007f6dff7dc7c0  0x00007f6dff7f2ddd  Yes         /lib64/libvorbis.so.0
0x00007f6dff5d3aa0  0x00007f6dff5d5f15  Yes         /lib64/libogg.so.0
0x00007f6dff39ce10  0x00007f6dff3a12f8  Yes         /lib64/libcrypt.so.1
0x00007f6dff12d6f0  0x00007f6dff17c476  Yes         /lib64/libpcre.so.1
0x00007f6dfef18b30  0x00007f6dfef2692d  Yes         /lib64/libelf.so.1
0x00007f6dfed07760  0x00007f6dfed134a2  Yes         /lib64/libbz2.so.1
0x00007f6dfeaf3950  0x00007f6dfeaff1e5  Yes         /lib64/libxcb-xkb.so.1
0x00007f6dfe8e4ff0  0x00007f6dfe8e7560  Yes         /lib64/libmtdev.so.1
0x00007f6dfe6d4270  0x00007f6dfe6d95d5  Yes         /lib64/libevdev.so.2
0x00007f6dfe4c3410  0x00007f6dfe4c6664  Yes         /lib64/libdatrie.so.1
0x00007f6dfe2a76b0  0x00007f6dfe2ba808  Yes         /lib64/libgraphite2.so.3
0x00007f6dfe0819e0  0x00007f6dfe08c91e  Yes         /lib64/libglapi.so.0
0x00007f6dfde68030  0x00007f6dfde6fbc5  Yes         /lib64/libxcb-glx.so.0
0x00007f6dfdc5bd50  0x00007f6dfdc5c4f3  Yes         /lib64/libxcb-dri3.so.0
0x00007f6dfda58c50  0x00007f6dfda59428  Yes         /lib64/libxcb-present.so.0
0x00007f6dfd853060  0x00007f6dfd854fc9  Yes         /lib64/libxcb-sync.so.1
0x00007f6dfd64e990  0x00007f6dfd64ec7c  Yes         /lib64/libxshmfence.so.1
0x00007f6dfd449010  0x00007f6dfd44b8b8  Yes         /lib64/libXxf86vm.so.1
0x00007f6dfd2320a0  0x00007f6dfd23f341  Yes         /lib64/libnsl.so.1
0x00007f6dfd023340  0x00007f6dfd02af3a  Yes         /lib64/libgsm.so.1
0x00007f6dfcdd1000  0x00007f6dfce16bdd  Yes         /lib64/libFLAC.so.8
0x00007f6dfcb32b60  0x00007f6dfcb352af  Yes         /lib64/libvorbisenc.so.2
0x00007f6dfc8a5900  0x00007f6dfc8f9a6d  Yes         /lib64/libfreebl3.so
0x00007f6de7854b90  0x00007f6de7c93f19  Yes         /usr/lib64/dri/i965_dri.so
0x00007f6df43bcd20  0x00007f6df43cff12  Yes         /lib64/libdrm_intel.so.1
0x00007f6df41b4810  0x00007f6df41b790c  Yes         /lib64/libdrm_nouveau.so.2
0x00007f6de76017c0  0x00007f6de76090df  Yes         /lib64/libdrm_radeon.so.1
0x00007f6de73f8340  0x00007f6de73fc955  Yes         /lib64/libpciaccess.so.0
0x00007f6de71ecbe0  0x00007f6de71f18fe  Yes         /usr/lib64/gio/modules/libdconfsettings.so
0x00007f6de67c0ae0  0x00007f6de67dac06  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
0x00007f6de658b480  0x00007f6de65a1d66  Yes         /usr/lib64/gvfs/libgvfscommon.so
0x00007f6de6375ea0  0x00007f6de6376745  Yes         /lib64/libutil.so.1
0x00007f6de616f190  0x00007f6de61723cf  Yes         /usr/lib64/libcanberra-0.30/libcanberra-pulse.so
(*): Shared library is missing debugging information.
$1 = 0x0
$2 = 0x0
rax            0x0	0
rbx            0x7ffc41d74f10	140721413115664
rcx            0x55f9da40d4f4	94531596899572
rdx            0x55f9da40d4c8	94531596899528
rsi            0x0	0
rdi            0x0	0
rbp            0x0	0x0
rsp            0x7ffc41d74ea0	0x7ffc41d74ea0
r8             0x0	0
r9             0x80	128
r10            0x55f9da48bbf0	94531597417456
r11            0x0	0
r12            0x260	608
r13            0x16b	363
r14            0x55f9da5417e0	94531598161888
r15            0x6	6
rip            0x7f6e0e7d1373	0x7f6e0e7d1373 <async_get_property_finish+83>
eflags         0x10246	[ PF ZF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function async_get_property_finish:
   0x00007f6e0e7d1320 <+0>:	push   %r12
   0x00007f6e0e7d1322 <+2>:	push   %rbp
   0x00007f6e0e7d1323 <+3>:	push   %rbx
   0x00007f6e0e7d1324 <+4>:	mov    %rdx,%rbx
   0x00007f6e0e7d1327 <+7>:	sub    $0x10,%rsp
   0x00007f6e0e7d132b <+11>:	mov    %rsp,%rdx
   0x00007f6e0e7d132e <+14>:	mov    %fs:0x28,%rax
   0x00007f6e0e7d1337 <+23>:	mov    %rax,0x8(%rsp)
   0x00007f6e0e7d133c <+28>:	xor    %eax,%eax
   0x00007f6e0e7d133e <+30>:	callq  0x7f6e0e76bbf0 <xcb_get_property_reply@plt>
   0x00007f6e0e7d1343 <+35>:	mov    (%rsp),%rdi
   0x00007f6e0e7d1347 <+39>:	test   %rdi,%rdi
   0x00007f6e0e7d134a <+42>:	je     0x7f6e0e7d1370 <async_get_property_finish+80>
   0x00007f6e0e7d134c <+44>:	callq  0x7f6e0e76f290 <free@plt>
   0x00007f6e0e7d1351 <+49>:	xor    %eax,%eax
   0x00007f6e0e7d1353 <+51>:	mov    0x8(%rsp),%rcx
   0x00007f6e0e7d1358 <+56>:	xor    %fs:0x28,%rcx
   0x00007f6e0e7d1361 <+65>:	jne    0x7f6e0e7d13d4 <async_get_property_finish+180>
   0x00007f6e0e7d1363 <+67>:	add    $0x10,%rsp
   0x00007f6e0e7d1367 <+71>:	pop    %rbx
   0x00007f6e0e7d1368 <+72>:	pop    %rbp
   0x00007f6e0e7d1369 <+73>:	pop    %r12
   0x00007f6e0e7d136b <+75>:	retq   
   0x00007f6e0e7d136c <+76>:	nopl   0x0(%rax)
   0x00007f6e0e7d1370 <+80>:	mov    %rax,%rbp
=> 0x00007f6e0e7d1373 <+83>:	mov    0x10(%rax),%eax
   0x00007f6e0e7d1376 <+86>:	mov    0xc(%rbp),%ecx
   0x00007f6e0e7d1379 <+89>:	mov    %rax,0x28(%rbx)
   0x00007f6e0e7d137d <+93>:	mov    0x8(%rbp),%eax
   0x00007f6e0e7d1380 <+96>:	mov    %rcx,0x30(%rbx)
   0x00007f6e0e7d1384 <+100>:	mov    %rax,0x18(%rbx)
   0x00007f6e0e7d1388 <+104>:	movzbl 0x1(%rbp),%edx
   0x00007f6e0e7d138c <+108>:	test   %rax,%rax
   0x00007f6e0e7d138f <+111>:	movq   $0x0,0x38(%rbx)
   0x00007f6e0e7d1397 <+119>:	mov    %edx,0x20(%rbx)
   0x00007f6e0e7d139a <+122>:	jne    0x7f6e0e7d13b0 <async_get_property_finish+144>
   0x00007f6e0e7d139c <+124>:	mov    %rbp,%rdi
   0x00007f6e0e7d139f <+127>:	callq  0x7f6e0e76f290 <free@plt>
   0x00007f6e0e7d13a4 <+132>:	xor    %eax,%eax
   0x00007f6e0e7d13a6 <+134>:	cmpq   $0x0,0x38(%rbx)
   0x00007f6e0e7d13ab <+139>:	setne  %al
   0x00007f6e0e7d13ae <+142>:	jmp    0x7f6e0e7d1353 <async_get_property_finish+51>
   0x00007f6e0e7d13b0 <+144>:	mov    %rbp,%rdi
   0x00007f6e0e7d13b3 <+147>:	callq  0x7f6e0e76ba60 <xcb_get_property_value_length@plt>
   0x00007f6e0e7d13b8 <+152>:	mov    %rbp,%rdi
   0x00007f6e0e7d13bb <+155>:	mov    %eax,%r12d
   0x00007f6e0e7d13be <+158>:	callq  0x7f6e0e770840 <xcb_get_property_value@plt>
   0x00007f6e0e7d13c3 <+163>:	mov    %r12d,%esi
   0x00007f6e0e7d13c6 <+166>:	mov    %rax,%rdi
   0x00007f6e0e7d13c9 <+169>:	callq  0x7f6e0e76c470 <g_memdup@plt>
   0x00007f6e0e7d13ce <+174>:	mov    %rax,0x38(%rbx)
   0x00007f6e0e7d13d2 <+178>:	jmp    0x7f6e0e7d139c <async_get_property_finish+124>
   0x00007f6e0e7d13d4 <+180>:	callq  0x7f6e0e76ec40 <__stack_chk_fail@plt>
End of assembler dump.
== EXPLOITABLE ==
Comment 3 Owen Taylor 2015-09-29 09:04:12 EDT
Core was generated by `gnome-shell --mode=gdm --wayland --display-server'.

That's confusing - is GDM crashing or is the login session crashing? The backtrace seems to be from GDM.
Comment 4 Martin Stransky 2015-09-29 09:10:38 EDT
No idea. I see login screen (gdm). I select user, enter password...screen flashes, some delay (black screen, only cursor is visible) and I'm back on login screen.
Comment 5 Owen Taylor 2015-09-29 09:43:41 EDT
I suspect the backtrace is *perhaps* separate unless you repeatedly get the same backtrace every time you try to log in. Any chance you can try booting the system from a F23 live image to see if the bug is rawhide-specific?
Comment 6 Martin Stransky 2015-09-29 09:57:57 EDT
I get the same backtrace repeatedly, it's still the same. ABRT also generates a backtrace from xorg-x11-server-Xwayland component (beside the gnome-shell) but keeps failing to analyze it.
Comment 7 Martin Stransky 2015-09-29 09:58:31 EDT
I'll try the F23 live image when I have some USB stick available.
Comment 8 Martin Stransky 2015-09-29 10:48:12 EDT
Okay, got the F23 live. How to tell Fedora to run the Wayland session from the Live stick? There's no login screen here.
Comment 9 Owen Taylor 2015-09-29 10:54:26 EDT
(In reply to Martin Stransky from comment #8)
> Okay, got the F23 live. How to tell Fedora to run the Wayland session from
> the Live stick? There's no login screen here.

Can you log out and then log in again? If that doesn't work, then you should be able to adjust the user configuration from system settings, then log out and log in again,
Comment 10 Martin Stransky 2015-09-29 10:57:58 EDT
Okay, managed to do that after some steps. I managed to log-in to Wayland session here so seems to be a problem on Rawhide.
Comment 11 Martin Stransky 2015-09-30 07:27:39 EDT
I downgraded my system to Fedora 23 so I don't see the crashes now. So it can be closed now, unable to reproduce.
Comment 12 Jan Kurik 2016-02-24 08:48:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 13 Fedora End Of Life 2017-07-25 15:19:43 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2017-08-08 08:16:45 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.